> For the complete documentation index, see [llms.txt](https://docs.cheesecakelabs.com/stellar-plus/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cheesecakelabs.com/stellar-plus/reference/rpc/default-rpc-handler.md).

# Default RPC Handler

The `DefaultRpcHandler` class in Stellar's Soroban environment is designed for direct interactions with the Soroban RPC server. It's the default handler used for RPC functions when no custom handler is provided. This class handles key operations like retrieving transaction information, simulating and preparing transactions, and submitting them to the network. Its default usage ensures a standard, efficient way to communicate with the Soroban server, crucial for transaction management in Stellar's Soroban smart contracts framework.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.cheesecakelabs.com/stellar-plus/reference/rpc/default-rpc-handler.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
